# Written by Ian Jackson <ijackson@chiark.greenend.org.uk>, 1999.
# I hereby place this file in the public domain.
-$whose= "Cambridge";
+$whose= "Testing";
$adminname= 'Ian Jackson';
-$adminemail= 'ijackson+cam-grin@chiark.greenend.org.uk';
+$adminemail= 'ijackson@chiark.greenend.org.uk';
$nameboxlen= 55;
$contactboxlen= 55;
$emailboxlen= 55;
$nullemail= 'discard-all@chiark.greenend.org.uk';
$site= 'http://www.ucam.org';
-$whoabbrev= 'cam';
+$whoabbrev= 'test';
$home= "$site/$whoabbrev-grin/";
$cgisite= 'http://www.chiark.greenend.org.uk';
--- /dev/null
+#!/bin/sh
+# Sample file for executing Cambridge G-RIN. This is what it actually
+# invoked by the webserver, but of course you must edit it.
+#
+# Written by Ian Jackson <ijackson@chiark.greenend.org.uk>, 1999.
+# I hereby place this file in the public domain.
+
+set -e
+umask 007
+cd /home/ijackson/things/bcp5-registry
+BCP5REGISTRY_LOCKED=1
+export BCP5REGISTRY_LOCKED
+exec with-lock-ex -w lockfile ./bcp5-registry.pl --cgi . .